<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>IBInspectorManager class documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$IBInspectorManager">IBInspectorManager class documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
    </div>

          <h1><a name="001000000000">
        Software documentation for the IBInspectorManager
        class
      </a></h1>
    <h2><a name="class$IBInspectorManager">IBInspectorManager</a> : NSObject</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>InterfaceBuilder/IBInspectorManager.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_IBInspectorManager_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="IBInspectorManager.html#method$IBInspectorManager+sharedInspectorManager">+sharedInspectorManager</a></li>
      <li><a rel="gsdoc" href="IBInspectorManager.html#method$IBInspectorManager-addInspectorModeWithIdentifier$forObject$localizedLabel$inspectorClassName$ordering$">-addInspectorModeWithIdentifier:forObject:localizedLabel:inspectorClassName:ordering:</a></li>
      <li><a rel="gsdoc" href="IBInspectorManager.html#method$IBInspectorManager-indexOfModeWithIdentifier$">-indexOfModeWithIdentifier:</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$IBInspectorManager+sharedInspectorManager">sharedInspectorManager&nbsp;</a></h3>
    + (<a rel="gsdoc" href="#class$IBInspectorManager">IBInspectorManager</a>*) <b>sharedInspectorManager</b>;<br />
    <div class="desc">
      
            Create a shared instance of the class for the
            applicaiton. <br /> Create a shared instance
            of the class for the application. If a subclass of
            IBInspectorManager uses this message it
            becomes the shraredInspectorManager.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBInspectorManager-addInspectorModeWithIdentifier$forObject$localizedLabel$inspectorClassName$ordering$">addInspectorModeWithIdentifier:&nbsp;forObject:&nbsp;localizedLabel:&nbsp;inspectorClassName:&nbsp;ordering:&nbsp;</a></h3>
    - (void) <b>addInspectorModeWithIdentifier:</b> (NSString*)ident<b> forObject:</b> (id)obj<b> localizedLabel:</b> (NSString*)label<b> inspectorClassName:</b> (NSString*)className<b> ordering:</b> (float)ord;<br />
    <div class="desc">
      
            Add an inspector for a given mode. This allows the
            addition of inspectors for different aspects of
            the same object.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBInspectorManager-indexOfModeWithIdentifier$">indexOfModeWithIdentifier:&nbsp;</a></h3>
    - (unsigned int) <b>indexOfModeWithIdentifier:</b> (NSString*)ident;<br />
    <div class="desc">
      
            Position in the inspector list that the &quot;mode
            inspector&quot; appears.
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_IBInspectorManager_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for IBInspectorManager Class</h2>
    <h3><a name="ivariable$IBInspectorManager*currentMode">currentMode</a></h3>
    @protected id <b>currentMode</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$IBInspectorManager*modes">modes</a></h3>
    @protected NSMutableArray* <b>modes</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$IBInspectorManager*selectedObject">selectedObject</a></h3>
    @protected id <b>selectedObject</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>
    <br />
    </font>
</body>
</html>
